# Quick Start

#### Getting Started

1. Create an API Key
   1. Access [Arcee Platform](https://chat.arcee.ai/), Register or Login.
   2. Access [Wallet](https://chat.arcee.ai/api/wallet) to top up if needed.
   3. Create an API Key in the [API Keys](https://chat.arcee.ai/api/api-keys) management page.
   4. Copy your API Key for use and store in a secure location.

<table data-view="cards"><thead><tr><th></th><th></th></tr></thead><tbody><tr><td><a href="https://chat.arcee.ai/">Arcee API Platform</a></td><td>Access Arcee Platform, Register or Login.</td></tr><tr><td><a href="https://chat.arcee.ai/api/api-keys">API Key Management</a></td><td>Create an API Key in the API Keys management page.</td></tr><tr><td><a href="https://docs.arcee.ai/~/revisions/UOfL3qIelQCFUdc2TpQu/quick-deploys">Deploy a Model</a></td><td></td></tr></tbody></table>

2. Choose Model

> Arcee Platform offers a variety of models in different sizes, and you can select the appropriate model based on your needs. For detailed model introductions, please refer to our [available models](https://docs.arcee.ai/~/revisions/xqmVYHkmw3IxO5pAkDjM/language-models).

3. Make your first API Call

After preparing your `API Key` and selecting a model, you can start making API calls. Here are examples using `curl`, `Python`, and `JavaScript`:

{% tabs %}
{% tab title="curl" %}

```bash
curl -X POST "https://api.arcee.ai/api/v1/chat/completions" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer rcai...e7a0" \
  -d '{
    "model": "arcee-ai/trinity-mini-thinking",
    "messages": [
      {
        "role": "user",
        "content": "Hello, how are you?"
      }
    ]
  }'
```

{% endtab %}

{% tab title="Python" %}

```python
from openai import OpenAI

client = OpenAI(
    base_url="https://api.arcee.ai/api/v1",
    api_key="rcai...e7a0"
)

response = client.chat.completions.create(
    model="arcee-ai/trinity-mini-thinking",
    messages=[
        {"role": "user", "content": "Hello, how are you?"}
    ]
)

print(response.choices[0].message.content)
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'rcai...e7a0',
  baseURL: 'https://api.arcee.ai/api/v1'
});

const response = await client.chat.completions.create({
  model: 'arcee-ai/trinity-mini-thinking',
  messages: [
    { role: 'user', content: 'Hello, how are you?' }
  ]
});

console.log(response.choices[0].message.content);
```

{% endtab %}
{% endtabs %}
